Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.list.html
Class FieldViewer

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.list.html.FieldViewer

Direct Known Subclasses:
  binaryViewer, booleanViewer, charViewer, textViewer

    public class FieldViewer

extends FieldFormatter

Default HTML formatting of fields

Field Summary
`(package private) static String` | `defaultEllipsis`

Constructor Summary
`protected` | `FieldViewer()` Don't use this, use getInstance()

Method Summary
`String` | `formatMaxLengthEllipsis(RecordFormatter rf, int fieldIndex, String s, Dictionary<String,Object> formatParams)` Returns a substring of maximum length by cutting at the end; if cut, an ellipsis is added on the end.
`static FieldFormatter` | `getInstance()`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParam, checkParams, equals, format, formatNotNull, formatNull, getAcceptedParams, getAcceptedValue, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultEllipsis

    static final String defaultEllipsis

See Also:
  Constant Field Values

Constructor Detail

### FieldViewer

    protected FieldViewer()

  Don't use this, use getInstance()

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### formatMaxLengthEllipsis

    public String formatMaxLengthEllipsis(RecordFormatter rf,
                                          int fieldIndex,
                                          String s,
                                          Dictionary<String,Object> formatParams)

  Returns a substring of maximum length by cutting at the end; if cut, an ellipsis is added on the end. Note: uses only J2 1.3 supported functions. An ellipsis is 3 dots (...) TODO:add support for fixedLength=N and fixedLengthAlign=left|center|right, fixedLengthPadChar='.'

  Parameters:
    `s` - string to format
    `formatParams` - formatting parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20